require 'defines'
require 'math'

-- Creates a robot harvesting a tree.
game.onevent(defines.events.ontick, function(event)
    if event.tick ~= 1 then
      return
    end
    local player = game.players[1]

    local p = player.position
    p.x = math.floor(p.x + 10)
    p.y = math.floor(p.y)
    local area = { {p.x - 5, p.y - 5}, {p.x + 5, p.y + 5} }

    for k, entity in pairs(game.findentities(area)) do
      entity.destroy()
    end

    local tiles = {}
    for x=area[1][1], area[2][1] do
        for y=area[1][2], area[2][2] do
            tiles[#tiles+1] = { name = 'grass', position = {x, y} }
        end
    end
    game.settiles(tiles)

    local tree = game.createentity({
        name='green-tree',
        position=p,
    })
    tree.orderdeconstruction(player.force)
    game.createentity({
        name='construction-robot',
        position=p,
        force=player.force,
    })
    game.createentity({
        name='logistic-chest-storage',
        position={x=p.x+1, y=p.y},
        force=player.force,
    })
    game.createentity({
        name='roboport',
        position={x=p.x-2, y=p.y+3},
        force=player.force,
    })

end)

-- Crashes the game.
game.onevent(defines.events.onrobotpremined, function(event)
    event.entity.destroy()
end)
